## org.eclipse.emf.cdo.ui.defs
Interface CDOUIDefsFactory

All Superinterfaces:
  org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  CDOUIDefsFactoryImpl

    public interface CDOUIDefsFactory

extends org.eclipse.emf.ecore.EFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  `CDOUIDefsPackage`

Field Summary
`static CDOUIDefsFactory` `eINSTANCE` The singleton instance of the factory.

Method Summary
`CDOEditorDef` `createCDOEditorDef()` Returns a new object of class 'CDO Editor Def'.
`EditorDef` `createEditorDef()` Returns a new object of class 'Editor Def'.
`CDOUIDefsPackage` `getCDOUIDefsPackage()` Returns the package supported by this factory.

Methods inherited from interface org.eclipse.emf.ecore.EFactory
`convertToString, create, createFromString, getEPackage, setEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eINSTANCE

    static final CDOUIDefsFactory eINSTANCE

  The singleton instance of the factory.

Method Detail

### createEditorDef

    EditorDef createEditorDef()

  Returns a new object of class 'Editor Def'.

  Returns:
    a new object of class 'Editor Def'.

### createCDOEditorDef

    CDOEditorDef createCDOEditorDef()

  Returns a new object of class 'CDO Editor Def'.

  Returns:
    a new object of class 'CDO Editor Def'.

### getCDOUIDefsPackage

    CDOUIDefsPackage getCDOUIDefsPackage()

  Returns the package supported by this factory.

  Returns:
    the package supported by this factory.

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.